#pragma once
#include "Macrodef.h"
typedef unsigned char BYTE;



#pragma pack(push,1)
typedef struct _UPLOAD_DATA_PARAMS
{
	BYTE Type;
	BYTE SubType;
	BYTE Partition;
	BYTE Times;;// Total Number of upload Areas
	unsigned int Offset;
	unsigned int DataSize;
	BYTE IncludeSpareAreas; // indicate this upload include spare areas or not
	BYTE Reserved;
	BYTE Reserved1;
	BYTE Reserved2;
	void operator = (struct _UPLOAD_DATA_PARAMS& UpLoadDataPara)
	{
		Type = UpLoadDataPara.Type;
		SubType = UpLoadDataPara.SubType;
		Partition = UpLoadDataPara.Partition;
		Times = UpLoadDataPara.Times;
		Offset = UpLoadDataPara.Offset;
		DataSize = UpLoadDataPara.DataSize;
		IncludeSpareAreas = UpLoadDataPara.IncludeSpareAreas; // indicate this upload include spare areas or not
		Reserved = UpLoadDataPara.Reserved;
		Reserved1 = UpLoadDataPara.Reserved1;
		Reserved2 = UpLoadDataPara.Reserved2;
	}
} UPLOAD_DATA_PARAMS; 
#pragma pack(pop)


#pragma pack(push,1)
typedef struct _UPLOAD_DATA_SPEC
{
	UPLOAD_DATA_PARAMS m_Params;
	tstring    strOutputFileName;
	tstring    strComparisonFileName;
	void operator = (struct _UPLOAD_DATA_SPEC& UpLoadDataSpec)
	{  
		m_Params = UpLoadDataSpec.m_Params;
		strOutputFileName = UpLoadDataSpec.strOutputFileName;
		strComparisonFileName = UpLoadDataSpec.strComparisonFileName;
	}
} UPLOAD_DATA_SPEC,*pUPLOAD_DATA_SPEC; 
#pragma pack(pop)









typedef list<UPLOAD_DATA_SPEC*> t_UpLoadDataSpecList;
typedef list<UPLOAD_DATA_SPEC*>::iterator t_UpLoadDataSpecIter;